## ros-foxy-rosbag2 0.3.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2)

find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-foxy-rosbag2 (0.3.11-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rosbag2 (0.3.10-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rosbag2 (0.3.9-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 03 Feb 2022 00:00:00 -0000

ros-foxy-rosbag2 (0.3.8-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Jul 2021 00:00:00 -0000

ros-foxy-rosbag2 (0.3.7-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 15 Feb 2021 00:00:00 -0000

ros-foxy-rosbag2 (0.3.6-1focal) focal; urgency=high

  * Update maintainer list for Foxy (#551 <https://github.com/ros2/rosbag2/issues/551>)
  * Contributors: Michael Jeronimo

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 05 Jan 2021 00:00:00 -0000

ros-foxy-rosbag2 (0.3.5-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 31 Aug 2020 00:00:00 -0000

ros-foxy-rosbag2 (0.3.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 05 Aug 2020 00:00:00 -0000

ros-foxy-rosbag2 (0.3.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2 (0.3.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2 (0.3.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2 (0.3.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-rosbag2 (0.2.8-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-foxy-rosbag2 (0.2.7-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-foxy-rosbag2 (0.2.6-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-foxy-rosbag2 (0.2.5-1focal) focal; urgency=high

  * Make rosbag2 a metapackage (#241 <https://github.com/ros2/rosbag2/issues/241>)
  * Contributors: Anas Abou Allaban, Karsten Knese, Prajakta Gokhale

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-foxy-rosbag2 (0.2.4-1focal) focal; urgency=high

  * generate changelog
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
  * Load metadata from storage if no yaml file is found. (#210 <https://github.com/ros2/rosbag2/issues/210>)
    Signed-off-by: Knese Karsten <mailto:karsten@openrobotics.org>
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 17:51:00 -0000

ros-foxy-rosbag2 (0.2.3-1focal) focal; urgency=high

  * generate changelog
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
  * multifile reader (#206 <https://github.com/ros2/rosbag2/issues/206>)
    * Introduce new SequentialReader interface
    Signed-off-by: Anas Abou Allaban <mailto:allabana@amazon.com>
    Introduce new SequentialReader interface
    Signed-off-by: Anas Abou Allaban <mailto:allabana@amazon.com>
    Introduce new SequentialReader interface
    Signed-off-by: Anas Abou Allaban <mailto:allabana@amazon.com>
    Introduce new SequentialReader interface
    Signed-off-by: Anas Abou Allaban <mailto:allabana@amazon.com>
    * Address commments:
    - Rewrite history
    - Move sequential reader implementation to header/source
    - Change namespaces
    - Linting
    Signed-off-by: Anas Abou Allaban <mailto:allabana@amazon.com>
    * Add visiblity control header
    Signed-off-by: Anas Abou Allaban <mailto:allabana@amazon.com>
    * Address structural review feedback
    Signed-off-by: Prajakta Gokhale <mailto:prajaktg@amazon.com>
    * Remove extraneous newline
    Signed-off-by: Prajakta Gokhale <mailto:prajaktg@amazon.com>
    * Add new BaseReaderInterface
    * Add new reader interface
    * Use the interface in sequential reader
    Signed-off-by: Prajakta Gokhale <mailto:prajaktg@amazon.com>
    * Remove extra newline
    Signed-off-by: Prajakta Gokhale <mailto:prajaktg@amazon.com>
    * Final reader class implementation (#4 <https://github.com/ros2/rosbag2/issues/4>)
    * final reader class
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * adaptations for rosbag2_transport
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * address review comments
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * Make BaseReaderInterface public
    Signed-off-by: Prajakta Gokhale <mailto:prajaktg@amazon.com>
    * Rebase on writer changes
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * Introduce new SequentialReader interface
    Signed-off-by: Anas Abou Allaban <mailto:allabana@amazon.com>
    Introduce new SequentialReader interface
    Signed-off-by: Anas Abou Allaban <mailto:allabana@amazon.com>
    Introduce new SequentialReader interface
    Signed-off-by: Anas Abou Allaban <mailto:allabana@amazon.com>
    Introduce new SequentialReader interface
    Signed-off-by: Anas Abou Allaban <mailto:allabana@amazon.com>
    * Address commments:
    - Rewrite history
    - Move sequential reader implementation to header/source
    - Change namespaces
    - Linting
    Signed-off-by: Anas Abou Allaban <mailto:allabana@amazon.com>
    * Final reader class implementation (#4 <https://github.com/ros2/rosbag2/issues/4>)
    * final reader class
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * adaptations for rosbag2_transport
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * address review comments
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * rebase


=== debian/control ===
Source: ros-foxy-rosbag2
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-rosbag2-test-common <!nocheck>, ros-foxy-rosbag2-tests <!nocheck>, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rosbag2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ros2bag, ros-foxy-rosbag2-compression, ros-foxy-rosbag2-converter-default-plugins, ros-foxy-rosbag2-cpp, ros-foxy-rosbag2-storage, ros-foxy-rosbag2-storage-default-plugins, ros-foxy-rosbag2-transport, ros-foxy-shared-queues-vendor, ros-foxy-sqlite3-vendor, ros-foxy-ros-workspace
Description: Meta package for rosbag2 related packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rosbag2//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
